Forum: Ruby-core [ruby-trunk - Bug #8715][Open] openssl mkmf.log filled with other data

3ec52ed58eb92026d86e62c39bdb7589?d=identicon&s=25 Michal Papis (mpapis)
on 2013-08-01 09:22
(Received via mailing list)
Issue #8715 has been reported by mpapis (Michal Papis).

----------------------------------------
Bug #8715: openssl mkmf.log filled with other data
https://bugs.ruby-lang.org/issues/8715

Author: mpapis (Michal Papis)
Status: Open
Priority: Normal
Assignee:
Category:
Target version:
ruby -v: ruby 2.0.0p247 (2013-06-27 revision 41674)
[x86_64-darwin12.3.0]
Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN


=begin
After compilation + installation of ruby I check the log: (({cat
/Users/mpapis/.rvm/src/ruby-2.0.0-p247/ext/openssl/mkmf.log}))
 Failed to configure openssl. It will not be installed.
 Failed to configure -test-/win32/dln. It will not be installed.
 Failed to configure -test-/win32/fd_setsize. It will not be installed.
 Failed to configure dl/win32. It will not be installed.
 Failed to configure fiddle/win32. It will not be installed.

Then I run: (({(cd /Users/mpapis/.rvm/src/ruby-2.0.0-p247/ext/openssl/ ;
ruby extconf.rb )}))
 checking for t_open() in -lnsl... no
 checking for socket() in -lsocket... no
 checking for assert.h... yes
 checking for openssl/ssl.h... yes
 checking for openssl/conf_api.h... yes
 checking for SSL_library_init() in openssl/ssl.h with
-Werror=deprecated-declarations... no
 extconf.rb:62:in `<main>': Ignore OpenSSL broken by Apple.
(RuntimeError)
 Please use another openssl. (e.g. using `configure
--with-openssl-dir=/path/to/openssl')

And check the log again: (({cat
/Users/mpapis/.rvm/src/ruby-2.0.0-p247/ext/openssl//mkmf.log}))

 === OpenSSL for Ruby configurator ===
 === Checking for system dependent stuff... ===
 have_library: checking for t_open() in -lnsl... -------------------- no

 "/usr/bin/clang -o conftest
-I/Users/mpapis/.rvm/rubies/ruby-2.0.0-p247/include/ruby-2.0.0/x86_64-darwin12.3.0
-I/Users/mpapis/.rvm/rubies/ruby-2.0.0-p247/include/ruby-2.0.0/ruby/backward
-I/Users/mpapis/.rvm/rubies/ruby-2.0.0-p247/include/ruby-2.0.0 -I.
-D_XOPEN_SOURCE -D_DARWIN_C_SOURCE -D_DARWIN_UNLIMITED_SELECT
-D_REENTRANT   -O3 -I/Users/mpapis/.sm/pkg/active/include -fPIC -pipe
conftest.c  -L. -L/Users/mpapis/.rvm/rubies/ruby-2.0.0-p247/lib -L. -Z
-L/Users/mpapis/.sm/pkg/active/lib -L/usr/lib -fPIC -Bstatic
-fstack-protector   -arch x86_64   -lruby-static  -lpthread -ldl -lobjc
"
 ...

Is this intended behavior or a bug?
=end
3ec52ed58eb92026d86e62c39bdb7589?d=identicon&s=25 Michal Papis (mpapis)
on 2013-08-01 09:33
(Received via mailing list)
Issue #8715 has been updated by mpapis (Michal Papis).


=begin
After applying http://www.rubyist.net/~eban/goto/r42213 from
https://bugs.ruby-lang.org/issues/7948

The error changes to: (({cat
/Users/mpapis/.rvm/src/ruby-2.0.0-p247/ext/openssl//mkmf.log}))

 Ignore OpenSSL broken by Apple.
 Please use another openssl. (e.g. using `configure
--with-openssl-dir=/path/to/openssl')
 Failed to configure openssl. It will not be installed.

And again i need to run (({ruby extconf.rb})) to see more details in the
log.
=end

----------------------------------------
Bug #8715: openssl mkmf.log filled with other data
https://bugs.ruby-lang.org/issues/8715#change-40789

Author: mpapis (Michal Papis)
Status: Open
Priority: Normal
Assignee:
Category:
Target version:
ruby -v: ruby 2.0.0p247 (2013-06-27 revision 41674)
[x86_64-darwin12.3.0]
Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN


=begin
After compilation + installation of ruby I check the log: (({cat
/Users/mpapis/.rvm/src/ruby-2.0.0-p247/ext/openssl/mkmf.log}))
 Failed to configure openssl. It will not be installed.
 Failed to configure -test-/win32/dln. It will not be installed.
 Failed to configure -test-/win32/fd_setsize. It will not be installed.
 Failed to configure dl/win32. It will not be installed.
 Failed to configure fiddle/win32. It will not be installed.

Then I run: (({(cd /Users/mpapis/.rvm/src/ruby-2.0.0-p247/ext/openssl/ ;
ruby extconf.rb )}))
 checking for t_open() in -lnsl... no
 checking for socket() in -lsocket... no
 checking for assert.h... yes
 checking for openssl/ssl.h... yes
 checking for openssl/conf_api.h... yes
 checking for SSL_library_init() in openssl/ssl.h with
-Werror=deprecated-declarations... no
 extconf.rb:62:in `<main>': Ignore OpenSSL broken by Apple.
(RuntimeError)
 Please use another openssl. (e.g. using `configure
--with-openssl-dir=/path/to/openssl')

And check the log again: (({cat
/Users/mpapis/.rvm/src/ruby-2.0.0-p247/ext/openssl//mkmf.log}))

 === OpenSSL for Ruby configurator ===
 === Checking for system dependent stuff... ===
 have_library: checking for t_open() in -lnsl... -------------------- no

 "/usr/bin/clang -o conftest
-I/Users/mpapis/.rvm/rubies/ruby-2.0.0-p247/include/ruby-2.0.0/x86_64-darwin12.3.0
-I/Users/mpapis/.rvm/rubies/ruby-2.0.0-p247/include/ruby-2.0.0/ruby/backward
-I/Users/mpapis/.rvm/rubies/ruby-2.0.0-p247/include/ruby-2.0.0 -I.
-D_XOPEN_SOURCE -D_DARWIN_C_SOURCE -D_DARWIN_UNLIMITED_SELECT
-D_REENTRANT   -O3 -I/Users/mpapis/.sm/pkg/active/include -fPIC -pipe
conftest.c  -L. -L/Users/mpapis/.rvm/rubies/ruby-2.0.0-p247/lib -L. -Z
-L/Users/mpapis/.sm/pkg/active/lib -L/usr/lib -fPIC -Bstatic
-fstack-protector   -arch x86_64   -lruby-static  -lpthread -ldl -lobjc
"
 ...

Is this intended behavior or a bug?
=end
B11f10c4cd9d53970e7be20caa43f940?d=identicon&s=25 Tanaka Akira (Guest)
on 2013-08-01 10:00
(Received via mailing list)
2013/8/1 mpapis (Michal Papis) <mpapis@gmail.com>:
> Bug #8715: openssl mkmf.log filled with other data
> https://bugs.ruby-lang.org/issues/8715

> After compilation + installation of ruby I check the log: (({cat
/Users/mpapis/.rvm/src/ruby-2.0.0-p247/ext/openssl/mkmf.log}))
>  Failed to configure openssl. It will not be installed.
>  Failed to configure -test-/win32/dln. It will not be installed.
>  Failed to configure -test-/win32/fd_setsize. It will not be installed.
>  Failed to configure dl/win32. It will not be installed.
>  Failed to configure fiddle/win32. It will not be installed.

r40080 on trunk may fix mkmf.log.  (not tested with Ruby 2.0.0)
3ec52ed58eb92026d86e62c39bdb7589?d=identicon&s=25 Michal Papis (mpapis)
on 2013-08-02 00:14
(Received via mailing list)
Issue #8715 has been updated by mpapis (Michal Papis).


yes it did fixed the log problem - please backport it
----------------------------------------
Bug #8715: openssl mkmf.log filled with other data
https://bugs.ruby-lang.org/issues/8715#change-40808

Author: mpapis (Michal Papis)
Status: Open
Priority: Normal
Assignee:
Category:
Target version:
ruby -v: ruby 2.0.0p247 (2013-06-27 revision 41674)
[x86_64-darwin12.3.0]
Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN


=begin
After compilation + installation of ruby I check the log: (({cat
/Users/mpapis/.rvm/src/ruby-2.0.0-p247/ext/openssl/mkmf.log}))
 Failed to configure openssl. It will not be installed.
 Failed to configure -test-/win32/dln. It will not be installed.
 Failed to configure -test-/win32/fd_setsize. It will not be installed.
 Failed to configure dl/win32. It will not be installed.
 Failed to configure fiddle/win32. It will not be installed.

Then I run: (({(cd /Users/mpapis/.rvm/src/ruby-2.0.0-p247/ext/openssl/ ;
ruby extconf.rb )}))
 checking for t_open() in -lnsl... no
 checking for socket() in -lsocket... no
 checking for assert.h... yes
 checking for openssl/ssl.h... yes
 checking for openssl/conf_api.h... yes
 checking for SSL_library_init() in openssl/ssl.h with
-Werror=deprecated-declarations... no
 extconf.rb:62:in `<main>': Ignore OpenSSL broken by Apple.
(RuntimeError)
 Please use another openssl. (e.g. using `configure
--with-openssl-dir=/path/to/openssl')

And check the log again: (({cat
/Users/mpapis/.rvm/src/ruby-2.0.0-p247/ext/openssl//mkmf.log}))

 === OpenSSL for Ruby configurator ===
 === Checking for system dependent stuff... ===
 have_library: checking for t_open() in -lnsl... -------------------- no

 "/usr/bin/clang -o conftest
-I/Users/mpapis/.rvm/rubies/ruby-2.0.0-p247/include/ruby-2.0.0/x86_64-darwin12.3.0
-I/Users/mpapis/.rvm/rubies/ruby-2.0.0-p247/include/ruby-2.0.0/ruby/backward
-I/Users/mpapis/.rvm/rubies/ruby-2.0.0-p247/include/ruby-2.0.0 -I.
-D_XOPEN_SOURCE -D_DARWIN_C_SOURCE -D_DARWIN_UNLIMITED_SELECT
-D_REENTRANT   -O3 -I/Users/mpapis/.sm/pkg/active/include -fPIC -pipe
conftest.c  -L. -L/Users/mpapis/.rvm/rubies/ruby-2.0.0-p247/lib -L. -Z
-L/Users/mpapis/.sm/pkg/active/lib -L/usr/lib -fPIC -Bstatic
-fstack-protector   -arch x86_64   -lruby-static  -lpthread -ldl -lobjc
"
 ...

Is this intended behavior or a bug?
=end
5cf8f058a4c094bb708174fb43e7a387?d=identicon&s=25 nagachika (Tomoyuki Chikanaga) (Guest)
on 2013-08-03 16:11
(Received via mailing list)
Issue #8715 has been updated by nagachika (Tomoyuki Chikanaga).

Status changed from Open to Closed

Hello,

I'd backported r40080 and r40081 to ruby_2_0_0.

----------------------------------------
Bug #8715: openssl mkmf.log filled with other data
https://bugs.ruby-lang.org/issues/8715#change-40857

Author: mpapis (Michal Papis)
Status: Closed
Priority: Normal
Assignee:
Category:
Target version:
ruby -v: ruby 2.0.0p247 (2013-06-27 revision 41674)
[x86_64-darwin12.3.0]
Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN


=begin
After compilation + installation of ruby I check the log: (({cat
/Users/mpapis/.rvm/src/ruby-2.0.0-p247/ext/openssl/mkmf.log}))
 Failed to configure openssl. It will not be installed.
 Failed to configure -test-/win32/dln. It will not be installed.
 Failed to configure -test-/win32/fd_setsize. It will not be installed.
 Failed to configure dl/win32. It will not be installed.
 Failed to configure fiddle/win32. It will not be installed.

Then I run: (({(cd /Users/mpapis/.rvm/src/ruby-2.0.0-p247/ext/openssl/ ;
ruby extconf.rb )}))
 checking for t_open() in -lnsl... no
 checking for socket() in -lsocket... no
 checking for assert.h... yes
 checking for openssl/ssl.h... yes
 checking for openssl/conf_api.h... yes
 checking for SSL_library_init() in openssl/ssl.h with
-Werror=deprecated-declarations... no
 extconf.rb:62:in `<main>': Ignore OpenSSL broken by Apple.
(RuntimeError)
 Please use another openssl. (e.g. using `configure
--with-openssl-dir=/path/to/openssl')

And check the log again: (({cat
/Users/mpapis/.rvm/src/ruby-2.0.0-p247/ext/openssl//mkmf.log}))

 === OpenSSL for Ruby configurator ===
 === Checking for system dependent stuff... ===
 have_library: checking for t_open() in -lnsl... -------------------- no

 "/usr/bin/clang -o conftest
-I/Users/mpapis/.rvm/rubies/ruby-2.0.0-p247/include/ruby-2.0.0/x86_64-darwin12.3.0
-I/Users/mpapis/.rvm/rubies/ruby-2.0.0-p247/include/ruby-2.0.0/ruby/backward
-I/Users/mpapis/.rvm/rubies/ruby-2.0.0-p247/include/ruby-2.0.0 -I.
-D_XOPEN_SOURCE -D_DARWIN_C_SOURCE -D_DARWIN_UNLIMITED_SELECT
-D_REENTRANT   -O3 -I/Users/mpapis/.sm/pkg/active/include -fPIC -pipe
conftest.c  -L. -L/Users/mpapis/.rvm/rubies/ruby-2.0.0-p247/lib -L. -Z
-L/Users/mpapis/.sm/pkg/active/lib -L/usr/lib -fPIC -Bstatic
-fstack-protector   -arch x86_64   -lruby-static  -lpthread -ldl -lobjc
"
 ...

Is this intended behavior or a bug?
=end
This topic is locked and can not be replied to.